package com.qiyou.mb.android.beans.basic;

public class NoteMessage {
	
	private int id; 
 
		private int noteId;
		private int userId;
		private int parentId;//reply to, the parent can be note or note message,parentid==0 :reply to note, else reply to msg
		private String title;
		private String body;
		private long created;
		private long lastupdated;
		private String userName;
		private String userAlbum;
		private String lastEditBy;
		private int  cateOwnerId ;
	    private int noteOwnerId;
		public String getUserName() {
			return userName;
		}
		public void setUserName(String userName) {
			this.userName = userName;
		}
		public int getId() {
			return id;
		}
		public void setId(int id) {
			this.id = id;
		}
		public int getUserId() {
			return userId;
		}
		public void setUserId(int userId) {
			this.userId = userId;
		}
		public String getTitle() {
			return title;
		}
		public void setTitle(String title) {
			this.title = title;
		}

		public String getBody() {
			return body;
		}
		public void setBody(String body) {
			this.body = body;
		}
		public int getNoteId() {
			return noteId;
		}
		public void setNoteId(int noteId) {
			this.noteId = noteId;
		}
		public int getParentId() {
			return parentId;
		}
		public void setParentId(int parentId) {
			this.parentId = parentId;
		}
		public long getLastupdated() {
			return lastupdated;
		}
		public void setLastupdated(long lastupdated) {
			this.lastupdated = lastupdated;
		}
		public long getCreated() {
			return created;
		}
		public void setCreated(long created) {
			this.created = created;
		}
		public String getUserAlbum() {
			return userAlbum;
		}
		public void setUserAlbum(String userAlbum) {
			this.userAlbum = userAlbum;
		}
		public String getLastEditBy() {
			return lastEditBy;
		}
		public void setLastEditBy(String lastEditBy) {
			this.lastEditBy = lastEditBy;
		}
		public int getCateOwnerId() {
			return cateOwnerId;
		}
		public void setCateOwnerId(int cateOwnerId) {
			this.cateOwnerId = cateOwnerId;
		}
	public int getNoteOwnerId() {
		return noteOwnerId;
	}
	public void setNoteOwnerId(int noteOwnerId) {
		this.noteOwnerId = noteOwnerId;
	}
}
